Subject: bug#10231: libtool.m4 makes the wrong shell (dash) run libtool

From: Earnie <[email-masked]>
Date: Fri, 09 Dec 2011 13:23:26 -0500

Hallvard B Furuseth wrote:
> Earnie writes:
>> Peter O'Gorman wrote:
>>> Removing $(SHELL) from LIBTOOL makes sense to me, I don't know if it
>>> will cause problems on windows though?
>>
>> I don't think it should matter.  Both Cygwin and MSYS have /bin/sh and
>> /usr/bin/sh.  Without a POSIX shell libtool is impossible anyway.
> 
> Yeah, but the question is if Cygnus/MSYS ensure that when the Make
> program invokes libtool it obeys the '#! <shell path>' line inside it.
> Windows itself does not.  I assume yes, but I don't use Windows.
> 

Yes they do.  It is a POSIX requirement.  And since Cygwin/MSYS are
emulating POSIX on Windows then it works as it should.

In Cygwin we have:
$ /bin/sh --version
GNU bash, version 4.1.10(4)-release (i686-pc-cygwin)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>

This is free software; you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

In MSYS we have:
$ /bin/sh --version
GNU bash, version 3.1.17(1)-release (i686-pc-msys)
Copyright (C) 2005 Free Software Foundation, Inc.

Executing in MSYS we have:
$ ./libtool --version
libtool (GNU libtool) 2.2.10
Written by Gordon Matzigkeit <[email-masked]>, 1996

Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

$ libtoolize --version
libtoolize (GNU libtool) 2.4
Written by Gary V. Vaughan <[email-masked]>, 2003

Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

-- 
Earnie
-- https://sites.google.com/site/earnieboyd/